Extending Qt Creator Manual | NavigationWidget

Extending Qt Creator Manual 4.5.2

# NavigationWidget Class

(Core::NavigationWidget)

- List of all members, including inherited members

## Public Types

enum | FactoryModelRoles { FactoryObjectRole, FactoryIdRole, FactoryPriorityRole }

## Public Functions

| NavigationWidget(QAction *toggleSideBarAction, Side side)
virtual | ~NavigationWidget()
QWidget * | activateSubWidget(Id factoryId, int preferredPosition)
void | closeSubWidgets()
QHash<Id, Command *> | commandMap() const
QAbstractItemModel * | factoryModel() const
bool | isShown() const
void | placeHolderChanged(NavigationWidgetPlaceHolder *holder)
void | restoreSettings(QSettings *settings)
void | saveSettings(QSettings *settings)
void | setFactories(const QList<INavigationWidgetFactory *> &factories)
void | setShown(bool b)
QString | settingsGroup() const
int | storedWidth()

## Static Public Members

QWidget * | activateSubWidget(Id factoryId, Side fallbackSide)
NavigationWidget * | instance(Side side)

## Protected Functions

void | resizeEvent(QResizeEvent *)

## Member Type Documentation

### enum NavigationWidget::FactoryModelRoles

## Member Function Documentation

### NavigationWidget::NavigationWidget(QAction *toggleSideBarAction, Side side)

Default constructs an instance of NavigationWidget.

### `[virtual]` NavigationWidget::~NavigationWidget()

Destroys the instance of NavigationWidget. The destructor is virtual.

### QWidget *NavigationWidget::activateSubWidget(Id factoryId, int preferredPosition)

### `[static]` QWidget *NavigationWidget::activateSubWidget(Id factoryId, Side fallbackSide)

### void NavigationWidget::closeSubWidgets()

### QHash<Id, Command *> NavigationWidget::commandMap() const

### QAbstractItemModel *NavigationWidget::factoryModel() const

### `[static]` NavigationWidget *NavigationWidget::instance(Side side)

### bool NavigationWidget::isShown() const

### void NavigationWidget::placeHolderChanged(NavigationWidgetPlaceHolder *holder)

### `[protected]` void NavigationWidget::resizeEvent(QResizeEvent *)

### void NavigationWidget::restoreSettings(QSettings *settings)

### void NavigationWidget::saveSettings(QSettings *settings)

### void NavigationWidget::setFactories(const QList<INavigationWidgetFactory *> &factories)

### void NavigationWidget::setShown(bool b)

See also isShown().

### QString NavigationWidget::settingsGroup() const

### int NavigationWidget::storedWidth()